Subject: Re: What to do if git-cvsimport/cvsps hangs?

From: Andreas Ericsson <[email-masked]>
Date: Wed, 12 Dec 2007 16:54:05 +0100

Florian Weimer wrote:
> This is probably more of a cvsps question than a GIT question, but
> AFAICT, the cvsps upstream is mostly inactive these days.
> 
> I tried to import the PostgreSQL repository, using
> 
>   git-cvsimport  -d :pserver:[email-masked]:/projects/cvsroot -k -C pgsql pgsql
> 
> However, after a bit of activity, git-cvsimport hangs at the following
> line
> 
>   cvs rlog: Logging pgsql/src/win32
> 
> strace doesn't show any system call activtiy in the cvsps process
> (which consumes 100% CPU).  cvsps is Debian's 2.1-2 version.
> 
> Is there some kind of replacement for cvsps which works more reliably?
> 

I think "git fast-import" has a CVS frontend. I'm not sure though,
so I leave finding out and trying it as an exercise for you ;-)

It requires file access to the CVS repository, afaiu.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231